qmf::engine::AgentEvent Struct Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Attributes
qmf::engine::AgentEvent Struct Reference

AgentEvent. More...

`#include <qmf/engine/Agent.h>`

List of all members.

## Public Types
enum | EventKind { GET_QUERY = 1, START_SYNC = 2, END_SYNC = 3, METHOD_CALL = 4, DECLARE_QUEUE = 5, DELETE_QUEUE = 6, BIND = 7, UNBIND = 8, SETUP_COMPLETE = 9 }
## Public Attributes
EventKind | kind
uint32_t | sequence
char * | authUserId
char * | authToken
char * | name
Object * | object
ObjectId * | objectId
Query * | query
Value * | arguments
char * | exchange
char * | bindingKey
const SchemaObjectClass * | objectClass

## Detailed Description

AgentEvent.

This structure represents a QMF event coming from the agent to the application.

## Member Enumeration Documentation

enum qmf::engine::AgentEvent::EventKind

Enumerator:

  GET_QUERY |
  START_SYNC |
  END_SYNC |
  METHOD_CALL |
  DECLARE_QUEUE |
  DELETE_QUEUE |
  BIND |
  UNBIND |
  SETUP_COMPLETE |

Definition at line 41 of file Agent.h.

## Member Data Documentation

Value* qmf::engine::AgentEvent::arguments

Definition at line 62 of file Agent.h.

char* qmf::engine::AgentEvent::authToken

Definition at line 56 of file Agent.h.

char* qmf::engine::AgentEvent::authUserId

Definition at line 55 of file Agent.h.

char* qmf::engine::AgentEvent::bindingKey

Definition at line 64 of file Agent.h.

char* qmf::engine::AgentEvent::exchange

Definition at line 63 of file Agent.h.

EventKind qmf::engine::AgentEvent::kind

Definition at line 53 of file Agent.h.

char* qmf::engine::AgentEvent::name

Definition at line 57 of file Agent.h.

Object* qmf::engine::AgentEvent::object

Definition at line 59 of file Agent.h.

const SchemaObjectClass* qmf::engine::AgentEvent::objectClass

Definition at line 65 of file Agent.h.

ObjectId* qmf::engine::AgentEvent::objectId

Definition at line 60 of file Agent.h.

Query* qmf::engine::AgentEvent::query

Definition at line 61 of file Agent.h.

uint32_t qmf::engine::AgentEvent::sequence

Definition at line 54 of file Agent.h.

The documentation for this struct was generated from the following file:

- qmf/engine/Agent.h